Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class FreeBusy

    java.lang.Object
      com.compoze.domino.FreeBusy

All Implemented Interfaces:
  java.io.Serializable

public class FreeBusy
extends java.lang.Object
implements java.io.Serializable

This class implements a wrapper for the free/busy response that is returned from Domino.

See Also:
  `Session.serverGetFreeBusy(String,java.util.Date,java.util.Date,int)`, Serialized Form

Constructor Summary
`protected` | `FreeBusy(java.lang.String[] sResponse, java.util.Date freeBusyStart, java.util.Date freeBusyEnd, int iInterval, java.lang.Object blank)` Constructor.

Method Summary
`TimeSlot[]` | `getTimeSlots()` Gets the list of the time slots
`java.lang.String` | `toString()` Creates a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FreeBusy

    protected FreeBusy(java.lang.String[] sResponse,
                       java.util.Date freeBusyStart,
                       java.util.Date freeBusyEnd,
                       int iInterval,
                       java.lang.Object blank)
                throws DominoException

  Constructor.

Parameters:
  `sResponse` - the response
  `freeBusyStart` - the start date
  `freeBusyEnd` - the end date
  `iInterval` - the interval (in minutes)

Method Detail

### getTimeSlots

    public TimeSlot[] getTimeSlots()

  Gets the list of the time slots

  Returns:
    an array of time slots or an empty array for none

### toString

    public java.lang.String toString()

  Creates a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.